show,git_branch-method {git2r} | R Documentation

## Brief summary of branch

### Description

Brief summary of branch

### Usage

    ## S4 method for signature 'git_branch'
    show(object)

### Arguments

`object` | The branch `object`

### Value

None (invisible 'NULL').

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Brief summary of the branch in the repository
    branches(repo)[[1]]

    ## End(Not run)

[Package git2r version 0.20.0 Index]